# Generated by Django 5.1.1 on 2024-09-29 16:26

import django.db.models.functions.comparison
import django.db.models.functions.text
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):
    dependencies = [
        ("documents", "1053_document_page_count"),
    ]

    operations = [
        migrations.AddField(
            model_name="customfieldinstance",
            name="value_monetary_amount",
            field=models.GeneratedField(
                db_persist=True,
                expression=models.Case(
                    models.When(
                        then=django.db.models.functions.comparison.Cast(
                            django.db.models.functions.text.Substr("value_monetary", 1),
                            output_field=models.DecimalField(
                                decimal_places=2,
                                max_digits=65,
                            ),
                        ),
                        value_monetary__regex="^\\d+",
                    ),
                    default=django.db.models.functions.comparison.Cast(
                        django.db.models.functions.text.Substr("value_monetary", 4),
                        output_field=models.DecimalField(
                            decimal_places=2,
                            max_digits=65,
                        ),
                    ),
                    output_field=models.DecimalField(decimal_places=2, max_digits=65),
                ),
                output_field=models.DecimalField(decimal_places=2, max_digits=65),
            ),
        ),
        migrations.AlterField(
            model_name="savedviewfilterrule",
            name="rule_type",
            field=models.PositiveIntegerField(
                choices=[
                    (0, "title contains"),
                    (1, "content contains"),
                    (2, "ASN is"),
                    (3, "correspondent is"),
                    (4, "document type is"),
                    (5, "is in inbox"),
                    (6, "has tag"),
                    (7, "has any tag"),
                    (8, "created before"),
                    (9, "created after"),
                    (10, "created year is"),
                    (11, "created month is"),
                    (12, "created day is"),
                    (13, "added before"),
                    (14, "added after"),
                    (15, "modified before"),
                    (16, "modified after"),
                    (17, "does not have tag"),
                    (18, "does not have ASN"),
                    (19, "title or content contains"),
                    (20, "fulltext query"),
                    (21, "more like this"),
                    (22, "has tags in"),
                    (23, "ASN greater than"),
                    (24, "ASN less than"),
                    (25, "storage path is"),
                    (26, "has correspondent in"),
                    (27, "does not have correspondent in"),
                    (28, "has document type in"),
                    (29, "does not have document type in"),
                    (30, "has storage path in"),
                    (31, "does not have storage path in"),
                    (32, "owner is"),
                    (33, "has owner in"),
                    (34, "does not have owner"),
                    (35, "does not have owner in"),
                    (36, "has custom field value"),
                    (37, "is shared by me"),
                    (38, "has custom fields"),
                    (39, "has custom field in"),
                    (40, "does not have custom field in"),
                    (41, "does not have custom field"),
                    (42, "custom fields query"),
                ],
                verbose_name="rule type",
            ),
        ),
    ]
